{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZSAMPLE0001"
  },
  "caption" : "示例实体01",
  "codeName" : "IBIZSample0001EditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0001EditView.json",
  "name" : "IBIZSample0001EditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "form",
      "name" : "FORM",
      "paramType" : "CTRL"
    }, {
      "name" : "P2K",
      "paramType" : "VALUE",
      "value" : 0
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem3",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem3_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem3"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem5",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem5_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem5"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem9",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem9_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem9"
    },
    "getPSViewCtrlName" : "toolbar"
  }, {
    "eventArg" : "tbitem15",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "toolbar_tbitem15_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "toolbar_tbitem15"
    },
    "getPSViewCtrlName" : "toolbar"
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "toolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "New"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem3",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Save"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem5",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "SaveAndExit"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem9",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "SaveAndStart"
    },
    "xDataControlName" : "form"
  }, {
    "name" : "toolbar_tbitem15",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Print"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "form"
  } ],
  "getPSControls" : [ {
    "codeName" : "EditViewtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "工具栏模板（默认编辑界面）",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "tbitem3",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem3_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3_click"
      }
    }, {
      "eventArg" : "tbitem5",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem5_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem5_click"
      }
    }, {
      "eventArg" : "tbitem9",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem9_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem9_click"
      }
    }, {
      "eventArg" : "tbitem15",
      "eventNames" : "CLICK",
      "logicTag" : "toolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "toolbar_tbitem15_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "toolbar_tbitem15_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.NEW"
      },
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "编辑界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "EDITVIEW_NEWACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.NEW"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.SAVE"
      },
      "caption" : "保存",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem3"
      },
      "getPSSysCss" : {
        "cssName" : "deepskyblueToolBar"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE"
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.SAVE"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE"
      },
      "caption" : "保存并关闭",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "tbitem5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_tbitem5"
      },
      "getPSSysImage" : {
        "cssClass" : "sx-tb-saveandclose"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE"
        },
        "caption" : "保存并关闭",
        "codeName" : "SaveAndExit",
        "fullCodeName" : "SaveAndExit",
        "name" : "编辑界面_保存并退出操作",
        "getPSSysImage" : {
          "cssClass" : "sx-tb-saveandclose"
        },
        "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "SaveAndExit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存并关闭",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "modelid" : "b912ff540f5614f63914a38067d84728",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Main",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001/PSFORMS/Main.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
    "logicName" : "主编辑表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "LOAD;SAVE;REMOVE",
      "logicTag" : "form",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_form",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001ID",
        "codeName" : "IBIZSample0001Id"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001NAME",
        "codeName" : "IBIZSample0001Name"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "field01",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD01",
        "codeName" : "Field01"
      }
    }, {
      "id" : "field02",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD02",
        "codeName" : "Field02"
      }
    }, {
      "id" : "field03",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "FIELD03",
        "codeName" : "Field03"
      }
    }, {
      "id" : "field04",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "FIELD04",
        "codeName" : "Field04"
      }
    }, {
      "id" : "field05",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "FIELD05",
        "codeName" : "Field05"
      }
    }, {
      "id" : "field",
      "dataType" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      }
    }, {
      "id" : "field06",
      "dataType" : 7,
      "getPSAppDEField" : {
        "name" : "FIELD06",
        "codeName" : "Field06"
      }
    }, {
      "id" : "field07",
      "dataType" : 6,
      "getPSAppDEField" : {
        "name" : "FIELD07",
        "codeName" : "Field07"
      }
    }, {
      "id" : "field2",
      "dataType" : 29,
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      }
    }, {
      "id" : "field08",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "FIELD08",
        "codeName" : "Field08"
      }
    }, {
      "id" : "field09",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "FIELD09",
        "codeName" : "Field09"
      }
    }, {
      "id" : "field10",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "FIELD10",
        "codeName" : "Field10"
      }
    }, {
      "id" : "field11",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "FIELD11",
        "codeName" : "Field11"
      }
    }, {
      "id" : "field12",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "FIELD12",
        "codeName" : "Field12"
      }
    }, {
      "id" : "field13",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "FIELD13",
        "codeName" : "Field13"
      }
    }, {
      "id" : "field14",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD14",
        "codeName" : "Field14"
      }
    }, {
      "id" : "field15",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "FIELD15",
        "codeName" : "Field15"
      }
    }, {
      "id" : "field16",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD16",
        "codeName" : "Field16"
      }
    }, {
      "id" : "field24",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD24",
        "codeName" : "Field24"
      }
    }, {
      "id" : "field17",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "FIELD17",
        "codeName" : "Field17"
      }
    }, {
      "id" : "field18",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD18",
        "codeName" : "Field18"
      }
    }, {
      "id" : "field19",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD19",
        "codeName" : "Field19"
      }
    }, {
      "id" : "field20",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD20",
        "codeName" : "Field20"
      }
    }, {
      "id" : "field21",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "FIELD21",
        "codeName" : "Field21"
      }
    }, {
      "id" : "field22",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD22",
        "codeName" : "Field22"
      }
    }, {
      "id" : "formitem",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "formitem1",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "formitem2",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001NAME",
        "codeName" : "IBIZSample0001Name"
      }
    }, {
      "id" : "formitem3",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "FIELD09",
        "codeName" : "Field09"
      }
    }, {
      "id" : "formitem4",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "FIELD08",
        "codeName" : "Field08"
      }
    }, {
      "id" : "ibizsample0001id",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZSAMPLE0001ID",
        "codeName" : "IBIZSample0001Id"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZSAMPLE0001.MAIN.FORMPAGE.FORMPAGE1"
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZSAMPLE0001.MAIN.GROUPPANEL.GROUP1"
        },
        "caption" : "IBIZSAMPLE0001基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZSAMPLE0001.FIELD01"
          },
          "caption" : "文本，可指定长度",
          "codeName" : "field01",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field01",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD01",
            "codeName" : "Field01"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "field01"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD02"
          },
          "caption" : "长文本，长度1000",
          "codeName" : "field02",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 150.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field02",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD02",
            "codeName" : "Field02"
          },
          "getPSEditor" : {
            "editorHeight" : 150.0,
            "editorParams" : {
              "HEIGHT" : "200"
            },
            "editorType" : "TEXTAREA_10",
            "maxLength" : 1000,
            "name" : "field02",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD03"
          },
          "caption" : "长文本，没有长度限制",
          "codeName" : "field03",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 150.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field03",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD03",
            "codeName" : "Field03"
          },
          "getPSEditor" : {
            "editorHeight" : 150.0,
            "editorParams" : {
              "HEIGHT" : "200"
            },
            "editorType" : "TEXTAREA_10",
            "maxLength" : 1048576,
            "name" : "field03",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD04"
          },
          "caption" : "HTML文本，没有长度限制",
          "codeName" : "field04",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 150.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field04",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD04",
            "codeName" : "Field04"
          },
          "getPSEditor" : {
            "editorHeight" : 150.0,
            "editorType" : "HTMLEDITOR",
            "name" : "field04"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD05"
          },
          "caption" : "整型",
          "codeName" : "field05",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field05",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD05",
            "codeName" : "Field05"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field05"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "大整型",
          "codeName" : "field",
          "dataType" : 1,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD",
            "codeName" : "Field"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD06"
          },
          "caption" : "浮点",
          "codeName" : "field06",
          "dataType" : 7,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field06",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD06",
            "codeName" : "Field06"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field06",
            "precision" : 2
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD07"
          },
          "caption" : "数值",
          "codeName" : "field07",
          "dataType" : 6,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field07",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD07",
            "codeName" : "Field07"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field07"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "大数值",
          "codeName" : "field2",
          "dataType" : 29,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field2",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD2",
            "codeName" : "Field2"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field2"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD08"
          },
          "caption" : "日期时间型",
          "codeName" : "field08",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 310.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field08",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD08",
            "codeName" : "Field08"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
            },
            "editorType" : "DATEPICKER",
            "editorWidth" : 160.0,
            "name" : "field08"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD09"
          },
          "caption" : "日期型",
          "codeName" : "field09",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 250.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field09",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD09",
            "codeName" : "Field09"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "field09"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD10"
          },
          "caption" : "时间型",
          "codeName" : "field10",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 240.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field10",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD10",
            "codeName" : "Field10"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "HH:mm:ss",
            "editorParams" : {
              "TIMEFMT" : "HH:mm:ss"
            },
            "editorType" : "DATEPICKEREX_NODAY",
            "editorWidth" : 90.0,
            "name" : "field10"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD11"
          },
          "caption" : "是否逻辑",
          "codeName" : "field11",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 250.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field11",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD11",
            "codeName" : "Field11"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST_100",
            "editorWidth" : 100.0,
            "name" : "field11",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/YesNo.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD12"
          },
          "caption" : "真假逻辑",
          "codeName" : "field12",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 250.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field12",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD12",
            "codeName" : "Field12"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST_100",
            "editorWidth" : 100.0,
            "name" : "field12",
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD13"
          },
          "caption" : "单项选择(数值)",
          "codeName" : "field13",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field13",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD13",
            "codeName" : "Field13"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "field13",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_NUM.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD14"
          },
          "caption" : "单项选择(文本值)",
          "codeName" : "field14",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field14",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD14",
            "codeName" : "Field14"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "field14",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_TEXT.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD15"
          },
          "caption" : "多项选择(数值)",
          "codeName" : "field15",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field15",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD15",
            "codeName" : "Field15"
          },
          "getPSEditor" : {
            "editorType" : "CHECKBOXLIST",
            "name" : "field15",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_NUM.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD16"
          },
          "caption" : "多项选择(文本值)",
          "codeName" : "field16",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field16",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD16",
            "codeName" : "Field16"
          },
          "getPSEditor" : {
            "editorType" : "CHECKBOXLIST",
            "name" : "field16",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SCODELIST_TEXT.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD24"
          },
          "caption" : "选择项文本",
          "codeName" : "field24",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field24",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD24",
            "codeName" : "Field24"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "field24"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD17"
          },
          "caption" : "数字串业务标识，数字类型，用户可见",
          "codeName" : "field17",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field17",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD17",
            "codeName" : "Field17"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field17"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD18"
          },
          "caption" : "字符串业务标识，文本类型，用户可见",
          "codeName" : "field18",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field18",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD18",
            "codeName" : "Field18"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 60,
            "name" : "field18"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD19"
          },
          "caption" : "货币",
          "codeName" : "field19",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field19",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD19",
            "codeName" : "Field19"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 60,
            "name" : "field19"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD20"
          },
          "caption" : "货币单位",
          "codeName" : "field20",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field20",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD20",
            "codeName" : "Field20"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "field20",
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD21"
          },
          "caption" : "出生日期",
          "codeName" : "field21",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 250.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field21",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD21",
            "codeName" : "Field21"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "field21"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD22"
          },
          "caption" : "电子邮件",
          "codeName" : "field22",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "field22",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD22",
            "codeName" : "Field22"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 60,
            "name" : "field22"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEMAN"
          },
          "caption" : "更新人-颜色",
          "codeName" : "formitem",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "formitem",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorParams" : {
              "color" : "color"
            },
            "editorType" : "TEXTBOX",
            "maxLength" : 60,
            "name" : "formitem"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : false,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEDATE"
          },
          "caption" : "更新时间-多久之前",
          "codeName" : "formitem1",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 310.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "formitem1",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
            },
            "editorType" : "DATEPICKEREX",
            "editorWidth" : 160.0,
            "name" : "formitem1"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZSAMPLE0001.IBIZSAMPLE0001NAME"
          },
          "caption" : "名称-穿梭框",
          "codeName" : "formitem2",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "formitem2",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZSAMPLE0001NAME",
            "codeName" : "IBIZSample0001Name"
          },
          "getPSEditor" : {
            "editorStyle" : "TRANSFER",
            "editorType" : "MDROPDOWNLIST",
            "name" : "formitem2",
            "singleSelect" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD09"
          },
          "caption" : "日期型-cron",
          "codeName" : "formitem3",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "formitem3",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD09",
            "codeName" : "Field09"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "formitem3"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.FIELD08"
          },
          "caption" : "日期时间型",
          "codeName" : "formitem4",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 310.0,
          "labelPos" : "LEFT",
          "labelWidth" : 150,
          "name" : "formitem4",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD08",
            "codeName" : "Field08"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
            },
            "editorType" : "DATEPICKEREX",
            "editorWidth" : 160.0,
            "name" : "formitem4"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : false
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "noTabHeader" : true,
    "name" : "form",
    "modelid" : "f697132ef6e97562f541dde08284490e",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "EditView",
  "getPSDEViewId" : "6efd55745f2907808bb906a64c9c328f",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "IBIZSAMPLE0001编辑视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZSAMPLE0001.EDITVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : false,
  "modelid" : "de2220d784a140bd8400431c499d1ff2",
  "modeltype" : "PSAPPDEVIEW",
  "getPSAppDERSPaths" : [ [ {
    "actionRSMode" : 1,
    "codeName" : "IBIZSample0001s",
    "dataRSMode" : 0,
    "majorDECodeName" : "IBIZSample0002",
    "majorDEName" : "IBIZSAMPLE0002",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0002.json"
    },
    "minorDECodeName" : "IBIZSample0001",
    "minorDEName" : "IBIZSAMPLE0001",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0001.json"
    },
    "name" : "示例实体1_示例实体2",
    "getParentPSAppDEField" : {
      "name" : "IBIZSAMPLE0002ID",
      "codeName" : "IBIZSample0002Id"
    },
    "rSMode" : 2
  } ] ]
}